UIToggleControl (RichFaces JSF components library 3.2.1.GA API)
Keywords: org.richfaces.component.UIToggleControl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIToggleControl

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UICommand
                  org.ajax4jsf.component.AjaxActionComponent
                      org.richfaces.component.UIToggleControl

All Implemented Interfaces:
  javax.faces.component.ActionSource, javax.faces.component.ActionSource2, javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxComponent, org.ajax4jsf.event.AjaxSource

Direct Known Subclasses:
  HtmlToggleControl

    public abstract class UIToggleControl

extends org.ajax4jsf.component.AjaxActionComponent
implements org.ajax4jsf.component.AjaxComponent, org.ajax4jsf.event.AjaxSource, javax.faces.component.ActionSource

Author:
  igels

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`

Fields inherited from class org.ajax4jsf.component.AjaxActionComponent
`FOCUS_DATA_ID`

Fields inherited from class javax.faces.component.UICommand
`COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Fields inherited from interface org.ajax4jsf.component.AjaxComponent
`AJAX_COMPONETT_PARAMETER`

Constructor Summary
`UIToggleControl()`

Method Summary
`java.lang.String` | `getFamily()`
`abstract java.lang.String` | `getFor()`
`UITogglePanel` | `getPanel()`
`abstract java.lang.String` | `getPanelId()`
`boolean` | `getRendersChildren()`
`java.lang.Object` | `getReRender()`
`abstract java.lang.String` | `getSwitchToState()`
`abstract void` | `setFor(java.lang.String f)`
`abstract void` | `setPanelId(java.lang.String panelId)`
`void` | `setReRender(java.lang.Object targetId)`
`abstract void` | `setSwitchToState(java.lang.String switchToState)`

Methods inherited from class org.ajax4jsf.component.AjaxActionComponent
`addAjaxListener, broadcast, getAjaxListeners, getSingleComponent, queueEvent, removeAjaxListener, setupReRender, setupReRender`

Methods inherited from class javax.faces.component.UICommand
`addActionListener, getAction, getActionExpression, getActionListener, getActionListeners, getValue, isImmediate, removeActionListener, restoreState, saveState, setAction, setActionExpression, setActionListener, setImmediate, setValue`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getValueExpression, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.ajax4jsf.component.AjaxComponent
`getData, getEventsQueue, getFocus, getOnbeforedomupdate, getOncomplete, getProcess, getRequestDelay, getStatus, getTimeout, isAjaxSingle, isBypassUpdates, isIgnoreDupResponses, isLimitToList, setAjaxSingle, setBypassUpdates, setData, setEventsQueue, setFocus, setIgnoreDupResponses, setLimitToList, setOnbeforedomupdate, setOncomplete, setProcess, setRequestDelay, setStatus, setTimeout`

Methods inherited from interface org.ajax4jsf.event.AjaxSource
`addAjaxListener, getAjaxListeners, removeAjaxListener`

Methods inherited from interface javax.faces.component.ActionSource
`addActionListener, getAction, getActionListener, getActionListeners, isImmediate, removeActionListener, setAction, setActionListener, setImmediate`

Field Detail

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UIToggleControl

    public UIToggleControl()

Method Detail

### setPanelId

    public abstract void setPanelId(java.lang.String panelId)

### getPanelId

    public abstract java.lang.String getPanelId()

### setSwitchToState

    public abstract void setSwitchToState(java.lang.String switchToState)

### getSwitchToState

    public abstract java.lang.String getSwitchToState()

### getFor

    public abstract java.lang.String getFor()

### setFor

    public abstract void setFor(java.lang.String f)

### getRendersChildren

    public boolean getRendersChildren()

  Overrides:
    `getRendersChildren` in class `javax.faces.component.UIComponentBase`

### getPanel

    public UITogglePanel getPanel()
                           throws javax.faces.FacesException

  Throws:
    `javax.faces.FacesException`

### getReRender

    public java.lang.Object getReRender()

  Specified by:
    `getReRender` in interface `org.ajax4jsf.component.AjaxComponent`

### setReRender

    public void setReRender(java.lang.Object targetId)

  Specified by:
    `setReRender` in interface `org.ajax4jsf.component.AjaxComponent`

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UICommand`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.